"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'audiobooktorrents',
    name: 'Audiobook Torrents',
    description: 'Audiobook Torrents (ABT) is a Private Torrent Tracker for AUDIOBOOKS',
    language: 'en-US',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://abtorrents.me/'],
    caps: {
        categorymappings: [
            { id: '10', cat: 'Audio/Audiobook', desc: 'Adventure' },
            { id: '20', cat: 'Audio/Audiobook', desc: 'Biographies & Memoirs' },
            { id: '30', cat: 'Audio/Audiobook', desc: 'Business ' },
            { id: '40', cat: 'Audio/Audiobook', desc: 'Childrens' },
            { id: '50', cat: 'Audio/Audiobook', desc: 'Comedy' },
            { id: '60', cat: 'Audio/Audiobook', desc: 'Comics' },
            { id: '70', cat: 'Audio/Audiobook', desc: 'Computers ' },
            { id: '80', cat: 'Audio/Audiobook', desc: 'Erotica' },
            { id: '90', cat: 'Audio/Audiobook', desc: 'Fantasy-General' },
            { id: '100', cat: 'Audio/Audiobook', desc: 'Fantasy-Youth' },
            { id: '110', cat: 'Audio/Audiobook', desc: 'Files' },
            { id: '120', cat: 'Audio/Audiobook', desc: 'Foreign Language' },
            { id: '130', cat: 'Audio/Audiobook', desc: 'General Fiction' },
            { id: '140', cat: 'Audio/Audiobook', desc: 'Historical Fiction' },
            { id: '150', cat: 'Audio/Audiobook', desc: 'History' },
            { id: '160', cat: 'Audio/Audiobook', desc: 'Horror' },
            { id: '170', cat: 'Audio/Audiobook', desc: 'Literature ' },
            { id: '180', cat: 'Audio/Audiobook', desc: 'Mystery ' },
            { id: '190', cat: 'Audio/Audiobook', desc: 'Non-Fiction' },
            { id: '200', cat: 'Audio/Audiobook', desc: 'Radio Drama' },
            { id: '210', cat: 'Audio/Audiobook', desc: 'Romance' },
            { id: '220', cat: 'Audio/Audiobook', desc: 'Science' },
            { id: '230', cat: 'Audio/Audiobook', desc: 'Science Fiction ' },
            { id: '240', cat: 'Audio/Audiobook', desc: 'Sci-Fi Apocalypse' },
            { id: '250', cat: 'Audio/Audiobook', desc: 'Self Improvement' },
            { id: '270', cat: 'Audio/Audiobook', desc: 'Suspense' },
            { id: '280', cat: 'Audio/Audiobook', desc: 'Talk Radio' },
            {
                id: '260',
                cat: 'Audio/Audiobook',
                desc: 'Thriller and Suspense',
            },
            { id: '290', cat: 'Audio/Audiobook', desc: 'Urban Fantasy' },
            { id: '300', cat: 'Audio/Audiobook', desc: 'Western' },
            { id: '400', cat: 'Books/Ebook', desc: '[E] Action/Adventure' },
            { id: '410', cat: 'Books/Ebook', desc: '[E] Adult / Erotica' },
            {
                id: '420',
                cat: 'Books/Ebook',
                desc: '[E] Arts &amp; Crafts (Hobbies)',
            },
            { id: '430', cat: 'Books/Ebook', desc: '[E] Biography/Memoirs' },
            { id: '730', cat: 'Books/Ebook', desc: '[E] Collections' },
            { id: '440', cat: 'Books/Ebook', desc: '[E] Comic Books' },
            { id: '450', cat: 'Books/Ebook', desc: '[E] Computer Learning' },
            { id: '460', cat: 'Books/Ebook', desc: '[E] Cookery' },
            {
                id: '470',
                cat: 'Books/Ebook',
                desc: '[E] Crime/Thriller/Mystery',
            },
            { id: '480', cat: 'Books/Ebook', desc: '[E] Fantasy' },
            { id: '490', cat: 'Books/Ebook', desc: '[E] Forteana' },
            { id: '500', cat: 'Books/Ebook', desc: '[E] General Fiction' },
            { id: '510', cat: 'Books/Ebook', desc: '[E] Historical Fiction' },
            { id: '520', cat: 'Books/Ebook', desc: '[E] History/Documentary' },
            { id: '530', cat: 'Books/Ebook', desc: '[E] Horror' },
            { id: '540', cat: 'Books/Ebook', desc: '[E] Humor ( Comedy)' },
            { id: '550', cat: 'Books/Ebook', desc: '[E] LGBT' },
            { id: '560', cat: 'Books/Ebook', desc: '[E] Literary Fiction' },
            { id: '570', cat: 'Books/Ebook', desc: '[E] Magazines - all' },
            { id: '580', cat: 'Books/Ebook', desc: '[E] Non-Fiction' },
            { id: '590', cat: 'Books/Ebook', desc: '[E] Paranormal Romance' },
            {
                id: '600',
                cat: 'Books/Ebook',
                desc: '[E] Reference/Educational',
            },
            {
                id: '610',
                cat: 'Books/Ebook',
                desc: '[E] Religion and Spirituality',
            },
            { id: '620', cat: 'Books/Ebook', desc: '[E] Romance' },
            { id: '630', cat: 'Books/Ebook', desc: '[E] Sci-Fi' },
            { id: '640', cat: 'Books/Ebook', desc: '[E] Sci-Fi/Apocalyptic' },
            { id: '650', cat: 'Books/Ebook', desc: '[E] Self-Help' },
            { id: '660', cat: 'Books/Ebook', desc: '[E] Sports/Fitness' },
            { id: '670', cat: 'Books/Ebook', desc: '[E] Travel' },
            { id: '680', cat: 'Books/Ebook', desc: '[E] Unsorted' },
            {
                id: '690',
                cat: 'Books/Ebook',
                desc: '[E] Urban Fantasy/Paranormal',
            },
            { id: '700', cat: 'Books/Ebook', desc: '[E] Western' },
            { id: '710', cat: 'Books/Ebook', desc: '[E] Young Adult' },
            { id: '720', cat: 'Books/Ebook', desc: '[E] Young Children' },
        ],
        modes: { search: ['q'] },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'info_results',
            type: 'info',
            label: 'Search results',
            default: 'If you are getting the error <b>Login Failed, got redirected</b> then access the site with your browser and <b>mark as read</b> all PMs.',
        },
    ],
    login: {
        path: 'takelogin.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            use_ssl: 1,
            perm_ssl: 1,
            submitme: 'X',
        },
        error: [
            { selector: 'td.embedded:has(h2:contains("Oops"))' },
            { selector: 'td.embedded:has(h2:contains("failed"))' },
        ],
        test: { path: 'browse.php' },
    },
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            $raw: '{{range .Categories}}c{{.}}=1&{{end}}',
            search: '{{ .Keywords }}',
            searchin: 'title',
            incldead: 1,
        },
        rows: {
            selector: 'table.table-striped > tbody > tr:has(a[href^="download.php?torrent="])',
        },
        fields: {
            category: {
                selector: 'a[href^="browse.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            title: { selector: 'div.torrent-name' },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="download.php?torrent="]',
                attribute: 'href',
            },
            banner: { selector: 'img[src*="/img.php?"]', attribute: 'src' },
            files: { selector: 'td:nth-last-child(8)' },
            date: { selector: 'td:nth-last-child(6)' },
            size: { selector: 'td:nth-last-child(5)' },
            grabs: {
                selector: 'td:nth-last-child(4)',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            seeders: { selector: 'td:nth-last-child(3)' },
            leechers: { selector: 'td:nth-last-child(2)' },
            downloadvolumefactor: {
                case: { 'a.info > b:contains("[FREE]")': 0, '*': 1 },
            },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
